---
title: Auto DevOps
description: Auto DevOps
suppress_header: true
extra_css:
  - auto-devops.css
manual_cookiebot: true
---
.blank-header
  %img.image-border.image-border-left{ src: "/images/home/icons-pattern-left.svg", alt: "Gitlab hero border pattern left svg" }
  %img.image-border.image-border-right{ src: "/images/home/icons-pattern-right.svg", alt: "Gitlab hero border pattern right svg" }
  .flex-container.flex-column.justify-center.align-center
    %img.hero-image-large{ src: "/images/icons/auto-devops.svg", alt: "Gitlab auto devops icon svg" }
    %h1 Auto DevOps
    %p Commit your code and GitLab does the rest
    %a.btn.cta-btn.accent{ href: "/free-trial/" } Try GitLab for Free
.content-container
  .autodevops-animation-container
    %video.autodevops-animation{ loop: "", autoplay: "", playsinline: "", muted: ""}
      %source{:src => "/video/autodevops-animation/autodevops-animation.mp4", :type => "video/mp4"}
      %source{:src => "/video/autodevops-animation/autodevops-animation.ogv", :type => "video/ogv"}
      %source{:src => "/video/autodevops-animation/autodevops-animation.webm", :type => "video/webm"}
      Your browser does not support the video tag.
  .content.tile
    %p GitLab Auto DevOps eliminates the complexities of getting going with automated software delivery by automatically setting up the pipeline and necessary integrations, freeing up your teams to focus on the culture part. With Auto DevOps, everyone can skip the manual work of configuration, and focus on the creative and human aspects of software creation.

    %p Auto DevOps simplifies and accelerates delivery with a complete delivery pipeline out of the box. Simply commit code and GitLab does the rest. Auto DevOps . . .

    %ul
      %li detects the language of the code
      %li automatically builds, tests, and measures code quality
      %li scans for security and licensing issues
      %li packages
      %li instruments (for monitoring)
      %li and deploys the application

    %a.btn.cta-btn.accent{ href: "https://docs.gitlab.com/ee/topics/autodevops/" } Read the docs

  .content.prereqs.full-width
    %h1.text-center Setup
    .flex-container.prereq.full-width
      .flex-container.justify-center.align-center.full-width
        %img.prereq-image.full-width{ src: "/images/autodevops/signup.png", alt: "Gitlab signup png" }
      .flex-container.flex-column.flex-start.justify-center.full-width
        %h2 Sign up
        %p Get an account on GitLab.com or a set up GitLab on your self-managed server.
        %a.btn.cta-btn.accent{ href: "/free-trial/" } Try GitLab for Free
    .flex-container.prereq.full-width
      .flex-container.justify-center.align-center.full-width
        %img.prereq-image.full-width{ src: "/images/autodevops/license.png", alt: "Gitlab license png" }
      .flex-container.flex-column.flex-start.justify-center.full-width
        %h2 Get a license
        %p Install your license to begin connecting your server.
        %a.btn.cta-btn.accent{ href: "/pricing/#gitlab-com" } Get a license
    .flex-container.prereq.full-width
      .flex-container.justify-center.align-center.full-width
        %img.prereq-image.full-width{ src: "/images/autodevops/cluster.png", alt: "Gitlab cluster png" }
      .flex-container.flex-column.flex-start.justify-center.full-width
        %h2 Connect your cluster
        %p
          :markdown
            Connect GitLab to your Kubernetes cluster. Don't have a cluster? Create one in a few clicks with the [GitLab GKE integration](/solutions/google-cloud-platform/).
        %a.btn.cta-btn.accent{ href: "/solutions/kubernetes/" } How to connect
    .flex-container.prereq.full-width
      .flex-container.justify-center.align-center.full-width
        %img.prereq-image.full-width{ src: "/images/autodevops/runners.png", alt: "Gitlab runners png" }
      .flex-container.flex-column.flex-start.justify-center.full-width
        %h2 Install Runners
        %p Install CI runners to get your server going (not needed on GitLab.com).
        %a.btn.cta-btn.accent{ href: "https://docs.gitlab.com/runner/install/" } How to install
